Skip to content

Appends an immutable revision and advances the current pointer.

POST
/v1/m/knowledge/prompts/{id}/revisions
curl --request POST \
--url https://example.com/v1/m/knowledge/prompts/example/revisions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "label": "example", "note": "example", "template": "example" }'

Appends an immutable revision and advances the current pointer.

id
required
string

Path parameter id.

X-Olivares-Tenant
string format: uuid

Target tenant id; required when the principal can act in more than one tenant.

Media type application/json
object
label
string
note
string
template
required
string
>= 1 characters <= 65536 characters /\S/
Example generated
{
"label": "example",
"note": "example",
"template": "example"
}

OK

Media type application/json
object
Example generated
{}

Bad request

Media type application/json
object
Example generated
{}

Unauthenticated

Media type application/json
object
Example generated
{}

Forbidden

Media type application/json
object
Example generated
{}

Not found

Media type application/json
object
Example generated
{}

Conflict / setup required

Media type application/json
object
Example generated
{}

Rate limited

Media type application/json
object
Example generated
{}